%global debug_package %{nil}

Name:           ocamlify
Version:        0.0.2
Release:        1%{?dist}
Summary:        Include files in OCaml code

License:        LGPLv2+ with exceptions
URL:            http://ocamlify.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1209/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  help2man

%description
OCamlify allows to create OCaml source code by including whole files into
OCaml string or string list. The code generated can be compiled as a standard
OCaml file. It allows embedding external resources as OCaml code.


%prep
%setup -q -n %{name}-%{version}


%build
ocaml setup.ml -configure \
    --destdir $RPM_BUILD_ROOT \
    --prefix %{_prefix}
ocaml setup.ml -build


%install
ocaml setup.ml -install

# generate manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
help2man $RPM_BUILD_ROOT%{_bindir}/ocamlify \
    --output $RPM_BUILD_ROOT%{_mandir}/man1/ocamlify.1 \
    --name "Include files in OCaml code" \
    --version-string %{version} \
    --no-info

%check
ocaml setup.ml -test


%files
%doc README.txt
%license COPYING.txt
%{_bindir}/ocamlify
%{_mandir}/man1/ocamlify.1*


%changelog
* Wed Nov 08 2017 Andy Li <andy@onthewings.net> - 0.0.2-1
- Initial RPM release.
